d_button_proc(3)

NAME
d_button_proc - Dialog procedure implementing a button object. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int d_button_proc(int msg, DIALOG *d, int c);

DESCRIPTION
A button object (the dp field points to the text string). This object can be selected by clicking on it with the mouse or by pressing its keyboard shortcut. If the D_EXIT flag is set, selecting it will close the dialog, otherwise it will toggle on and off. Like d_text_proc(), ampersands can be used to display the keyboard shortcut of the button.

SEE ALSO
excustom(3), exgui(3)